enc_associate.c File Reference
`#include "ruby.h"`
`#include "ruby/encoding.h"`

Go to the source code of this file.

## Functions

VALUE | bug_str_enc_associate (VALUE str, VALUE enc)
void | Init_enc_associate (VALUE klass)

## Function Documentation

VALUE bug_str_enc_associate | ( | VALUE | str,
|  | VALUE | enc
| ) |  |

Definition at line 5 of file enc_associate.c.

References rb_enc_associate(), and rb_to_encoding().

Referenced by Init_enc_associate().

void Init_enc_associate | ( | VALUE | klass | ) |

Definition at line 11 of file enc_associate.c.

References bug_str_enc_associate(), and rb_define_method().